# @tool_blox/plugin

A JavaScript Web3 integration library designed for Toolblox plugins, enabling Web3 capabilities in no-code platforms like Bubble™ and Weweb™. Provides wallet connections and blockchain interactions.

## Installation

```bash
npm install @tool_blox/plugin
```

## Usage

### Node.js (CommonJS)
```javascript
const { Web3AuthNoModal, ethers } = require('@tool_blox/plugin');
```

### Node.js (ESM) / Browser
```javascript
import { Web3AuthNoModal, ethers } from '@tool_blox/plugin';
```

### Browser (Script Tag)
```html
<script type="module">
  import { Web3AuthNoModal, ethers } from './node_modules/@tool_blox/plugin/dist/index.esm.js';
</script>
```

## Features

- Web3Auth Integration
- Wallet Connect Support
- Coinbase Wallet Support
- Ethereum Provider
- Ethers.js Integration
- Universal Module Support (ESM and CommonJS)

## License

MIT 